Debian Bug report logs - #722130
RFP: gajim-plugin-otr -- Off-The-Record encryption for Gajim

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dmitry Smirnov <onlyjob@debian.org>

Date: Sun, 8 Sep 2013 09:21:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, tanguy+debian@ortolo.eu, wnpp@debian.org:
Bug#722130; Package wnpp. (Sun, 08 Sep 2013 09:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, tanguy+debian@ortolo.eu, wnpp@debian.org. (Sun, 08 Sep 2013 09:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: submit@bugs.debian.org
Subject: RFP: gajim-plugin-otr -- Off-The-Record encryption for Gajim
Date: Sun, 8 Sep 2013 19:16:57 +1000
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,tanguy+debian@ortolo.eu

   Package name: gajim-plugin-otr
        Version: 0+hg20130905
Upstream Author: Kjell Braden <afflux@pentabarf.de>
            URL: http://trac-plugins.gajim.org/wiki
        License: GPL-3
    Description: Off-The-Record encryption for Gajim
 gajim-plugin-otr provides OTR encryption for Gajim.
 .
 Off-the-Record Messaging, commonly referred to as OTR, is a cryptographic
 protocol that provides strong  encryption for instant messaging
 conversations. OTR uses a combination of the AES symmetric-key algorithm,
 the Diffie–Hellman key exchange, and the SHA-1 hash function.

--

I committed initial packaging of "gajim-plugins" source package to

    http://anonscm.debian.org/gitweb/?p=collab-maint/gajim-plugins.git

It can be extended to ship other plugins but needs more work for that.

Whoever interested to continue this work is welcome to take over.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722130; Package wnpp. (Sun, 08 Sep 2013 09:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 08 Sep 2013 09:39:15 GMT) Full text and rfc822 format available.

Message #10 received at 722130@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Dmitry Smirnov <onlyjob@debian.org>,722130@bugs.debian.org
Subject: Re: Bug#722130: RFP: gajim-plugin-otr -- Off-The-Record encryption for Gajim
Date: Sun, 08 Sep 2013 11:30:01 +0200
[Message part 1 (text/plain, inline)]
Hi,

two remarks here:

1. the corresponding wiki page appears to be http://trac-plugins.gajim.org/wiki/OffTheRecordPlugin.

2. Mind the code duplication - python-potr is included in the source tree and should be removed, packaging python-potr seperately.

-nik
-- 
Diese Nachricht wurde von meinem Android-Mobiltelefon mit K-9 Mail gesendet.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722130; Package wnpp. (Sun, 08 Sep 2013 10:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 08 Sep 2013 10:36:04 GMT) Full text and rfc822 format available.

Message #15 received at 722130@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: 722130@bugs.debian.org
Subject: Re: Bug#722130: RFP: gajim-plugin-otr -- Off-The-Record encryption for Gajim
Date: Sun, 8 Sep 2013 20:32:30 +1000
Hi Dominik,

On Sun, 8 Sep 2013 19:30:01 Dominik George wrote:
> 1. the corresponding wiki page appears to be http://trac-plugins.gajim.org/wiki/OffTheRecordPlugin.

Yes, but higher level page is more suited for generic source package
name "gajim-plugins", so I think we shouldn't give more specific home
page even though the only plugin I need is "otr" (provided by binary
package "gajim-plugin-otr").


> 2. Mind the code duplication - python-potr is included in the source
>    tree and should be removed, packaging python-potr seperately.

Committed code already wipes "python-potr" source files from orig.tar.

-- 
All the best,
 Dmitry Smirnov.

---

I am easily satisfied with the very best.
        -- Winston Churchill



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722130; Package wnpp. (Fri, 04 Apr 2014 12:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Apr 2014 12:27:05 GMT) Full text and rfc822 format available.

Message #20 received at 722130@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Dmitry Smirnov <onlyjob@debian.org>
Cc: Debian OTR Team list <pkg-otr-team@lists.alioth.debian.org>, 722130@bugs.debian.org
Subject: Re: [pkg-otr-team] gajim-plugin-otr
Date: Fri, 04 Apr 2014 14:23:19 +0200
Hi,

Dmitry Smirnov wrote (03 Apr 2014 20:41:07 GMT) :
> Very nice, thanks. I'd like to let you know about "gajim-plugin-otr" (RFP 
> #722130) that I packaged some time ago. It is pretty much ready and only need 
> someone to take ownership. 

I would personally be happy to see you upload the Gajim OTR plugin,
and become the primary maintainer for it, under our team's umbrella.
But maybe other team members will want to get more involved :)

Now, I have a few questions:

1. The current state of upstream work on this plugin is a bit
   confusing. The homepage [1] says bugs live in Trac [2], while I've
   seen the author re-create on GitHub [3] a bug filed in Trac.
   Any idea where is the preferred place to forward Debian bugs?

2. Upstream wrote [4] "I don't have a lot of time for gotr right now"
   five months ago, and indeed, an important bug like the "OTR logs
   conversations" [5] one has seen no update since then. Are you
   confident such problems will be addressed in a timely manner by
   upstream, in the future?

3. I see you've called the source package gajim-plugins. If the idea
   is to potentially maintain a bunch of non-OTR Gajim plugins in the
   source package, then I doubt it's appropriate to put it under the
   OTR team's umbrella. So, perhaps a dedicated source package would
   be better. What do you think?

[1] https://trac-plugins.gajim.org/wiki/OffTheRecordPlugin
[2] https://trac-plugins.gajim.org/query?status=accepted&status=assigned&status=new&status=reopened&component=OffTheRecordPlugin
[3] https://github.com/afflux/gotr/issues
[4] https://github.com/afflux/pure-python-otr/issues/45
[5] https://trac-plugins.gajim.org/ticket/69

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722130; Package wnpp. (Fri, 04 Apr 2014 15:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Apr 2014 15:24:05 GMT) Full text and rfc822 format available.

Message #25 received at 722130@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: intrigeri <intrigeri@debian.org>
Cc: Debian OTR Team list <pkg-otr-team@lists.alioth.debian.org>, 722130@bugs.debian.org
Subject: Re: [pkg-otr-team] gajim-plugin-otr
Date: Sat, 05 Apr 2014 02:21:10 +1100
[Message part 1 (text/plain, inline)]
On Fri, 4 Apr 2014 14:23:19 intrigeri wrote:
> I would personally be happy to see you upload the Gajim OTR plugin,
> and become the primary maintainer for it, under our team's umbrella.

I'm not that keen to do that. Not yet. I did packaging over 6 months ago and 
it would have been uploaded long time ago if I were prepared to take 
responsibility.


> But maybe other team members will want to get more involved :)

That's my only hope. :)


> Now, I have a few questions:
> 
> 1. The current state of upstream work on this plugin is a bit
>    confusing. The homepage [1] says bugs live in Trac [2], while I've
>    seen the author re-create on GitHub [3] a bug filed in Trac.
>    Any idea where is the preferred place to forward Debian bugs?

I don't know.


> 2. Upstream wrote [4] "I don't have a lot of time for gotr right now"
>    five months ago, and indeed, an important bug like the "OTR logs
>    conversations" [5] one has seen no update since then. Are you
>    confident such problems will be addressed in a timely manner by
>    upstream, in the future?

I have no idea. I rarely use instant messaging these days so I didn't even 
fully test otr plugin hence I'm lacking confidence necessary for upload.



> 3. I see you've called the source package gajim-plugins. If the idea
>    is to potentially maintain a bunch of non-OTR Gajim plugins in the
>    source package, then I doubt it's appropriate to put it under the
>    OTR team's umbrella. So, perhaps a dedicated source package would
>    be better. What do you think?

Probably not, to avoid micro-packaging. To me gajim-plugins is a most 
appropriate form of packaging gajim plugins (and producing per plugin binary 
packages) as long as plugins are shipped from common repository checkout 
even if we're going to ship just one plugin for now.

But that's just my vision and I do not mind at all if somebody would choose to 
de-couple this particular plugin and maintain it separately.

-- 
Cheers,
 Dmitry Smirnov.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722130; Package wnpp. (Fri, 04 Apr 2014 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Apr 2014 17:33:05 GMT) Full text and rfc822 format available.

Message #30 received at 722130@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick@debian.org>
To: Debian OTR Team list <pkg-otr-team@lists.alioth.debian.org>
Cc: 722130@bugs.debian.org, Dmitry Smirnov <onlyjob@debian.org>
Subject: Re: [pkg-otr-team] gajim-plugin-otr
Date: Fri, 04 Apr 2014 21:30:05 +0400
Hi everyone,

>>  3. I see you've called the source package gajim-plugins. If the idea
>>     is to potentially maintain a bunch of non-OTR Gajim plugins in the
>>     source package, then I doubt it's appropriate to put it under the
>>     OTR team's umbrella. So, perhaps a dedicated source package would
>>     be better. What do you think?
>
> Probably not, to avoid micro-packaging. To me gajim-plugins is a most
> appropriate form of packaging gajim plugins (and producing per plugin binary
> packages) as long as plugins are shipped from common repository checkout
> even if we're going to ship just one plugin for now.

Producing per plugin binary packages is a bad idea in this case. It increases
the size of Packages.*, Contents-* and Translation-* files in arhive too much,
that affects all Debian users, but not only Gajim users. Also it increases the
size of archive itself because each deb package contains some meta information.

I do not know how many useful Gajim plugins you may want to package, so I will
just show an example of one of my packages.

Currently there are 31 plugins [1] in Psi+ project including OTR plugin. And it
is possible that some new plugins will be added in the future. The size of
psi-plus-plugins package is about 1.5 MB per each architecture [2] and it
appends only 20 strings into Packages.* files [3].

And now try to imagine how it would look otherwise.

[1] https://packages.debian.org/sid/i386/psi-plus-plugins/filelist
[2] https://packages.debian.org/unstable/psi-plus-plugins
[3] http://ftp.de.debian.org/debian/dists/sid/main/binary-i386/Packages.xz

> But that's just my vision and I do not mind at all if somebody would choose to
> de-couple this particular plugin and maintain it separately.

Personally I do not think that providing a separate source package is useful,
when OTR plugin comes in a single tarball with other plugins. More over it
increases the amount of work for maintainer, even if only OTR plugin will be
packaged separately and all other plugins will be packaged together.

Best regards,
Boris



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722130; Package wnpp. (Sat, 05 Apr 2014 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 05 Apr 2014 00:03:05 GMT) Full text and rfc822 format available.

Message #35 received at 722130@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: Boris Pek <tehnick@debian.org>
Cc: Debian OTR Team list <pkg-otr-team@lists.alioth.debian.org>, 722130@bugs.debian.org
Subject: Re: [pkg-otr-team] gajim-plugin-otr
Date: Sat, 05 Apr 2014 11:00:56 +1100
[Message part 1 (text/plain, inline)]
On Fri, 4 Apr 2014 21:30:05 Boris Pek wrote:
> Producing per plugin binary packages is a bad idea in this case. It
> increases the size of Packages.*, Contents-* and Translation-* files in
> arhive too much, that affects all Debian users, but not only Gajim users.
> Also it increases the size of archive itself because each deb package
> contains some meta information.

I see your point but I'm not sure if we should provide bulk binary package 
with all plugins at once. Perhaps only if they are not enabled by default...

In any case the gain is little -- potentially a dozen plugins packaged in one 
or more packages... Not too much of a difference...


> > But that's just my vision and I do not mind at all if somebody would
> > choose to de-couple this particular plugin and maintain it separately.
> 
> Personally I do not think that providing a separate source package is
> useful, when OTR plugin comes in a single tarball with other plugins. More
> over it increases the amount of work for maintainer, even if only OTR
> plugin will be packaged separately and all other plugins will be packaged
> together.

That's exactly my point. :)
I just wanted to say that if I'm not involved I'm not going to enforce my 
vision on maintainer who is doing all the work. 

I just did initial packaging for someone to carry on. Frankly I'm surprised 
that gajim maintainer(s) shown no interest so far...

-- 
All the best,
 Dmitry Smirnov.
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:25:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.